@echo off

rem put the inf file where Windows can find it
copy /Y MacraigorPCI.inf %SystemRoot%\inf >> wdins.log

rem unregister existing drivers
wdreg remove >>wdins.log >>wdins.log
wdreg -name MAC_MOT -file MAC_MOT remove >>wdins.log

rem copy driver files
set dir=%SystemRoot%\system32\drivers
copy windrvr.sys %dir% >> wdins.log
copy MAC_MOT.sys %dir% >> wdins.log

rem register drivers
wdreg install >> wdins.log >>wdins.log
wdreg -name MAC_MOT -file MAC_MOT install >>wdins.log
echo. | wdv >> wdins.log

echo You must restart for changes to take effect. Press any key . . .
pause > NUL
